# Fact: is_proxmox
#
# Purpose: Returns true if the system runs a PVE kernel.
#
#
require 'facter'

Facter.add(:is_proxmox) do
  setcode do

    pve = if Facter.value(:kernelrelease) =~ /^*pve/
      'true'
    else
      'false'
    end

  end

end
